@charset "UTF-8";
/*==============================================================================
1.ページタイトル・共通タイトル
2.イントロ
3.施設紹介
4.ぐらまるくん
==============================================================================*/

/*============================================================================================================================================================
==============================================================================================================================================================

	1.ページタイトル・共通タイトル

==============================================================================================================================================================
============================================================================================================================================================*/


/*============================================================================================================================================================
==============================================================================================================================================================

	2.イントロ

==============================================================================================================================================================
============================================================================================================================================================*/
#intro{
    & .inner{
        padding: 0;
    }

    & h2{
        padding-bottom: 60vw;
        font-size: 1.8rem;
        font-family: var(--font-sub);
        text-align: center;
        background-image: url(../1_img/facility/intro-img_sp.jpg);
        background-position: center bottom;
        background-repeat: no-repeat;
        background-size: 100% auto;
    }

    & .intro-links{
        margin-top: 1px;
        display: flex;
        flex-wrap: wrap;
        gap: 1px;

        & a{
            padding: 35px 10px;
            width: calc( (100% - 1px) / 2 );
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;
            background-position: center;
            background-size: cover;
            color: #fff;
            letter-spacing: 0.3em;

            & span{
                display: block;
                text-align: center;
                font-family: var(--font-sub);
                font-weight: var(--weight-bold);
                line-height: 1;

                &[lang="en"]{
                    font-size: 2rem;
                }
                &[lang="ja"]{
                    margin-top: 5px;
                    font-size: 1rem;
                }
            }

            &.links-camp{
                background-image: url(../1_img/facility/intro-links_camp.jpg);
            }
            &.links-onsen{
                background-image: url(../1_img/facility/intro-links_onsen.jpg);
            }
            &.links-shop{
                background-image: url(../1_img/facility/intro-links_shop.jpg);
            }
            &.links-bbq{
                background-image: url(../1_img/facility/intro-links_bbq.jpg);
            }
            &.links-laundry{
                background-image: url(../1_img/facility/intro-links_laundry.jpg);
            }

            &::after {
                content: "";
                width: 20px;
                height: 20px;
                position: absolute;
                right: 0;
                bottom: 0;
                background-color: var(--color-main);
                clip-path: polygon(100% 0, 0% 100%, 100% 100%);
            }
        }
        & a:first-child{
            width: 100%;
        }
    }
}

/*==============================================================================

	イントロ PC

==============================================================================*/
@media all and (min-width: 768px){
    #intro{

        & h2{
            padding-bottom: 480px;
            font-size: 2.5rem;
            background-image: url(../1_img/facility/intro-img_pc.jpg);
            background-size: 980px auto;
        }

        & .intro-links{
            margin-left: auto;
            margin-right: auto;
            width: 700px;

            & a{
                padding: 60px 20px;

                & span{
                    &[lang="en"]{
                        font-size: 3rem;
                    }
                    &[lang="ja"]{
                        margin-top: 10px;
                        font-size: 1.5rem;
                    }
                }
            }
        }
    }
}


/*============================================================================================================================================================
==============================================================================================================================================================

	3.施設紹介

==============================================================================================================================================================
============================================================================================================================================================*/
.facility-wrap{
    padding: 100px 0;

    &.gray{
        background-color: var(--color-accent);
        background:
        url(../1_img/base/deco-wave_btm.svg) repeat-x bottom / 50px auto,
        url(../1_img/base/deco-wave_top.svg) repeat-x top / 50px auto,
        var(--color-accent);

        & .facility-intro{
            & .intro-img{
                &::after {
                    background: linear-gradient(180deg, rgba(240, 240, 240, 0) 0%, rgba(240, 240, 240, 0.9) 70%);
                }
            }
        }

        & .facility-desc{
            & .deco-bdr{
                & h4{
                    & span{background-color: var(--color-accent);}
                }
                & .deco{background-color: var(--color-accent);}
            }
        }

        & .facility-fee{
            background-color: #fff;
        }
    }

    /* ========== 施設紹介　イントロ ========== */
    & .facility-intro{
        margin-top: 20px;
        display: flex;
        flex-direction: column;

        & .intro-img{
            order: 1;
            text-align: center;
            position: relative;

            & img{
                overflow: hidden;
                border-radius: 100%;
            }

            &::after {
                content: "";
                width: calc(100% );
                height: 30%;
                position: absolute;
                bottom: 0;
                left: 0;
                z-index: 1;
                background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 70%);
            }
        }

        & .intro-text{
            margin-top: -30px;
            padding: 0 20px;
            position: relative;
            z-index: 2;
            order: 2;

            & h3{
                font-family: var(--font-sub);
                font-size: 1.8rem;
                font-weight: var(--weight-bold);
                text-align: center;
            }

            & p{
                margin-top: 25px;
                font-size: 1.4rem;
            }
        }
    }
    /* ========== 施設紹介　ポーター ========== */
    & .facility-porter{
        margin-top: 50px;
        margin-left: -20px;
        margin-right: -20px;
        position: relative;

        & h3{
            margin-bottom: -1em;
            position: relative;
            z-index: 2;
            font-size: 1.6rem;
            font-weight: var(--weight-bold);
            font-family: var(--font-sub);
            text-align: center;

            & span{
                padding-bottom: 5px;
                border-bottom: 1px solid var(--color-main);
                line-height: 2.4;
            }
        }

        & img{
            width: 100%;
        }

        & .btn-wrap{
            width: 100%;
            position: absolute;
            left: 0;
            bottom: 0;
            transform: translateY(50%);
            text-align: center;
        }
    }
    /* ========== 設備紹介 ========== */
    & .facility-desc{
        margin-top: 100px;

        & .deco-bdr{
            padding: 0 20px 20px;
            text-align: center;

            & h4{
                width: 100%;
                transform: translateY(-50%);

                & span{
                    padding: 0 25px;
                    display: inline-block;
                    background-color: #fff;
                    font-weight: var(--weight-bold);
                    font-size: 1.6rem;
                }
            }

            & img{width: 100%;}
            & img ~ p{margin-top: 20px;}

            & p{
                font-size: 1.4rem;
                text-align: left;
            }

            & + .deco-bdr{
                margin-top: 60px;
            }
        }

        & .btn-wrap{
            margin-top: 60px;
            width: 100%;
            text-align: center;
        }
    }
    /* ========== 利用料金 ========== */
    & .facility-fee{
        margin-top: 50px;
        margin-left: auto;
        margin-right: auto;
        padding: 20px;
        width: calc( 100% - 40px );
        border-radius: 10px;
        background-color: var(--color-accent);

        & h3{
            margin-bottom: 25px;
            padding-bottom: 20px;
            border-bottom: 1px solid var(--color-font);
            text-align: center;
            font-size: 1.6rem;
            font-weight: var(--weight-bold);
        }

        & h4{
            margin-bottom: 15px;
            padding-bottom: 15px;
            border-bottom: 1px solid var(--color-main);
            text-align: center;
            font-size: 1.4rem;
            font-weight: var(--weight-bold);
        }

        & > section + section{
            margin-top: 40px;
        }

        & p{
            font-size: 1.4rem;
        }

        & .fee{
            text-align: center;
            font-weight: var(--weight-bold);

            & + p:not(.fee){
                margin-top: 30px;
            }
        }

        & p:not(.fee){
            margin-top: 15px;
        }

        & ul.notice{
            margin-top: 15px;

            & li{
                margin-left: -1em;
                text-indent: 1em;
                &::before{
                    content: "※";
                }
            }
        }
    }
    /* ========== スライダー ========== */
    & .facility-slider_wrap{
        margin-top: 70px;
        text-align: center;

        & h3{
            margin-bottom: 30px;
            padding: 0 20px 10px;
            position: relative;
            font-size: 1.6rem;
            font-family: var(--font-sub);
            font-weight: var(--weight-bold);

            &::after{
                content: "";
                width: 180px;
                height: 1px;
                background-color: var(--color-main);
                position: absolute;
                bottom: 0;
                left: 50%;
                transform: translateX(-50%);
            }
        }

        & .facility-slider{
            & .slick-list{
                padding-bottom: 20px!important;
            }
            & .slick-track{
                display: flex;
                gap: 20px;
            }
            & .slick-slide {
                width: 220px;
                max-width: 450px;

                & img{
                    width: 100%;
                    border-radius: 10px;
                    overflow: hidden;
                }
            }

            /* 矢印 */
            & .slick-arrow{
                width: 35px;
                top: 57px;
                transform: unset;

                &::after{
                    width: 20%;
                }
            }
            
            & .slick-arrow.prev{
                left: 60px;
            }
            & .slick-arrow.next{
                right: 60px;
            }
            & .slick-dots{
                bottom: 0;

                & li.slick-active button{
                    background-color: var(--color-red);
                }
                & li button{
                    background-color: var(--color-accent);
                }
            }

            & p{
                margin-top: 10px;
                font-size: 1.6rem;
                font-weight: var(--weight-bold);
            }
        }
    }
}

/* 温泉の調整 */
#onsen{
    &.facility-wrap {
        & .facility-desc {
            margin-top: 60px;
        }
    }
    & .facility-desc{
        & .deco-bdr{
            & p{
                margin-top: -20px;
            }
        }
    }
}
/* ショップの調整 */
#shop{
    &.facility-wrap {
        & .facility-desc {
            margin-top: 60px;
        }
    }
}
/* bbqの調整 */
#bbq{
    &.facility-wrap {
        & .facility-desc {
            margin-top: 60px;
        }
    }

    & .outro{
        margin-top: 25px;
        text-align: center;
        line-height: 2;

        & span{
            padding-bottom: 2px;
            border-bottom: 1px solid var(--color-main);
            font-size: 1.6rem;
            font-weight: var(--weight-bold);
        }
    }
}
/* その他設備 */
#other{
    & h2{
        margin-bottom: 20px;
        text-align: center;

        & span{
            padding: 0 20px 10px;
            display: inline-block;
            border-bottom: 1px solid var(--color-main);
            font-size: 1.8rem;
            font-weight: var(--weight-bold);
            font-family: var(--font-sub);
        }
    }

    & .slider{
        & .slick-track{
            display: flex;
            gap: 20px;
        }
        & .slick-slide {
            width: 200px;

            & img{
                width: 100%;
                border-radius: 100%;
                overflow: hidden;
            }

            & p{
                margin-top: 10px;
                text-align: center;
                font-weight: var(--weight-bold);
                font-size: 1.6rem;
            }
        }
    }
}
/* 営業・利用時間 */
#open{
    & .facility-open{
        margin-top: 40px;
        display: flex;
        flex-direction: column;
        gap: 50px;

        & .deco-bdr{
            padding: 40px 30px 30px;
            text-align: center;

            & h3{
                width: 100%;
                position: absolute;
                top: 0;
                left: 0;
                transform: translateY(-50%);

                & span{
                    padding: 0 25px;
                    display: inline-block;
                    background-color: #fff;
                    font-weight: var(--weight-bold);
                    font-size: 1.6rem;
                }
            }

            & .open-text1{
                font-size: 1.6rem;

                & span{
                    margin-top: 15px;
                    display: block;
                    font-size: 1rem;
                }
            }
            & .open-text2{
                & *{
                    border: none;
                }
                & th{
                    font-weight: var(--weight-regular);
                }
            }
        }

        & .btn-wrap{
            width: 100%;
            text-align: center;

            & .fukidashi{
                & span{
                    padding-bottom: 15px;
                    display: inline-block;
                    position: relative;
                    border-bottom: 1px solid var(--color-main);
                    font-family: var(--font-sub);
                    font-size: 1.4rem;

                    /* 吹き出し */
                    &::before,&::after{
                        content: "";
                        width: 14px;
                        height: 10px;
                        display: block;
                        position: absolute;
                        left: 50%;
                        transform: translateX(-50%);
                        clip-path: polygon(100% 0, 0 0, 50% 100%);
                    }
                    &::before{
                        top: calc(100% - 2px);
                        background-color: #fff;
                        z-index: 2;
                    }
                    &::after{
                        top: 100%;
                        background-color: var(--color-main);
                        z-index: 1;
                    }
                }
            }

            & a{
                margin-top: 30px;
            }
        }
    }
}

#other{
    text-align: center;

    & p span{
        padding: 0 5px 15px;
        display: inline-block;
        position: relative;
        border-bottom: 1px solid var(--color-main);
        font-size: 1.4rem;
        font-weight: var(--weight-bold);

        &::before,&::after{
            content: "";
            width: 14px;
            aspect-ratio: 10 / 8;
            position: absolute;
            clip-path: polygon(0 0, 50% 100%, 100% 0);
            left: 50%;
            transform: translateX(-50%);
        }
        &::before{
            top: calc(100% - 1px);
            background-color: var(--color-accent);
            z-index: 2;
        }
        &::after{
            top: calc(100% + 1px);
            background-color: var(--color-main);
            z-index: 1;
        }
    }
    & .btn-wrap{
        margin-top: 30px;
    }
}

/*==============================================================================

	施設紹介 PC

==============================================================================*/
@media all and (min-width: 768px){
    .facility-wrap{
        padding: 120px 0;

        &.gray{
            padding-top: 150px;
            background:
            url(../1_img/base/deco-wave_btm.svg) repeat-x bottom / 90px auto,
            url(../1_img/base/deco-wave_top.svg) repeat-x top / 90px auto,
            var(--color-accent);
        }

        /* ========== 施設紹介　イントロ ========== */
        & .facility-intro{
            margin-top: 30px;
            width: 900px;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            gap: 50px;

            & .intro-img{
                width: 400px;
                flex-shrink: 0;

                &::after {content: none;}
                & img{width: 100%;}
            }

            & .intro-text{
                margin-top: 0;

                & h3{font-size: 2.5rem;}
                & p{margin-top: 30px;}
            }
        }
        /* ========== 施設紹介　ポーター ========== */
        & .facility-porter{
            margin-top: 70px;
            margin-left: auto;
            margin-right: auto;
            width: 700px;

            & h3{
                margin-bottom: 0;
                position: absolute;
                top: 50%;
                left: 0;
                transform: translateY(-50%);
                font-size: 2rem;
                text-align: left;
            }
        }
        /* ========== 設備紹介 ========== */
        & .facility-desc{
            margin-top: 130px;

            &.dis-flex{
                display: flex;
                flex-wrap: wrap;
                justify-content: center;
                gap: 40px 25px;

                & .deco-bdr{
                    margin: unset;
                }
            }

            &.flex-2{
                & .deco-bdr{
                    padding: 0 20px 20px;
                    width: calc( (100% - 25px) / 2 );

                    & + .deco-bdr{margin-top: 0px;}
                }
            }

            &.flex-1{
                justify-content: center;

                & .deco-bdr{
                    padding-bottom: 30px;
                    display: flex;
                    flex-wrap: wrap;
                    align-items: center;
                
                    & img{
                        flex-shrink: 0;
                        width: 300px;
                    }
                    & p{
                        padding-left: 30px;
                        width: calc(100% - 300px);
                    }
                }
            }


            & .deco-bdr{
                margin: auto;
                padding: 0 50px 50px;
                max-width: 700px;

                & h4{
                    & span{font-size: 2rem;}
                }

                & img{max-width: 500px;}
                & p{font-size: 1.5rem;}
            }

            & .btn-wrap{margin-top: 50px;}
        }

        /* ========== 利用料金 ========== */
        & .facility-fee{
            padding: 30px 40px;
            max-width: 700px;

            &.pc-flex{
                & h3{
                    margin-bottom: 0;
                }

                display: flex;
                flex-wrap: wrap;
                justify-content: space-between;
                gap: 25px;

                & > section{
                    width: calc( (100% - 25px) / 2 );
                }
                & > section + section {
                    margin-top: 0;
                }
            }

            & h3{
                width: 100%;
                font-size: 1.8rem;
            }

            & p{
                font-size: 1.5rem;
            }
        }

        /* ========== スライダー ========== */
        & .facility-slider_wrap{
            margin-top: 130px;

            & h3{
                margin-bottom: 40px;
                padding: 0 0 20px;
                font-size: 2rem;
            }

            & .facility-slider{
                & .slick-list{padding-bottom: 60px!important;}

                & .slick-slide {width: 400px;}
                & .slick-arrow{width: 50px;top: 112px;}
                & .slick-arrow.prev{left: calc(50% - 234px);}
                & .slick-arrow.next{right: calc(50% - 234px);}

                & p{
                    margin-top: 15px;
                    font-size: 1.8rem;
                }
            }
        }
    }


    /* 温泉の調整 */
    #onsen{
        &.facility-wrap {
            & .facility-desc {
                margin-top: 90px;
            }
        }
    }
    #bbq{
        & .outro{
            margin-top: 40px;

            & span{
                font-size: 1.8rem;
            }
        }
    }
    /* その他設備 */
    #other{
        & h2{
            margin-bottom: 40px;

            & span{
                padding: 0 20px 10px;
                font-size: 2rem;
            }
        }

        & .slider{
            & .slick-track{
                display: flex;
                gap: 30px;
            }
            & .slick-slide {
                width: 250px;

                & p{
                    margin-top: 15px;
                    font-size: 1.8rem;
                }
            }
        }

        & p span{
            font-size: 1.8rem;

            &::before,&::after{
                width: 18px;
            }
        }
        & .btn-wrap{
            margin-top: 30px;
        }
    }

    /* 営業・利用時間 */
    #open{
        & .facility-open{
            margin-top: 70px;
            flex-direction: row;
            flex-wrap: wrap;
            gap: 50px 40px;

            & .deco-bdr{
                width: calc( (100% - 40px) / 2 );
                padding: 40px 30px 30px;
                display: flex;
                align-items: center;
                justify-content: center;

                & h3{
                    & span{
                        padding: 0 60px;
                        font-size: 2rem;
                    }
                }

                & .open-text1{
                    font-size: 1.8rem;
                    & span{font-size: 1.2rem;}
                }
                & .open-text2{
                    & *{font-size: 1.5rem;}
                    & th{width: 210px;}
                }
            }

            & .btn-wrap{
                width: 100%;
                text-align: center;

                & .fukidashi{
                    & span{
                        font-size: 2rem;
                    }
                }

                & a{
                    margin-top: 30px;
                }
            }
        }
    }
}




/*============================================================================================================================================================
==============================================================================================================================================================

	4.ぐらまるくん

==============================================================================================================================================================
============================================================================================================================================================*/
#guramaru{
    margin-top: 100px;
    padding: 0 20px;

    & .inner{
        padding: 40px 30px 20px;
        position: relative;
        border-radius: 10px;
        background-color: var(--color-sub);
        text-align: center;

        &::before{
            content: "";
            width: 45px;
            aspect-ratio: 54 / 60;
            position: absolute;
            top: 0;
            left: 50%;
            transform: translate(-50%,-50%);
            background: url(../1_img/facility/guramaru-deco.svg) no-repeat center / 100% auto;
        }

        & p{
            font-size: 1.4rem;
            font-weight: var(--weight-bold);
        }
        & h3{
            font-size: 2rem;
            font-weight: var(--weight-bold);
            margin-bottom: 20px;

            & small{
                font-size: 1.4rem;
                font-weight: var(--weight-regular);
            }
        }
        & figure{
            margin-top: 25px;
            display: flex;
            flex-direction: column;
            align-items: center;
            gap: 30px;

            & img{
                order: 1;
                display: block;
                margin: 0 auto;
            }

            & figcaption{
                order: 2;
                text-align: left;
            }
        }
    }
}

/*==============================================================================

	ぐらまるくん PC

==============================================================================*/
@media all and (min-width: 768px){
    #guramaru{
        margin-top: 150px;
        padding: 0;

        & .inner{
            width: 700px;
            padding: 50px 70px;

            &::before{
                width: 54px;
            }

            & p{
                font-size: 1.6rem;
            }
            & h3{
                font-size: 2.5rem;

                & small{font-size: 1.6rem;}
            }
            & figure{
                margin-top: 0px;
                flex-direction: row;
                gap: 60px;

                & img{
                    width: 236px;
                    flex-shrink: 0;
                }

                & figcaption{
                    font-size: 1.5rem;
                }
            }
        }
    }
}


.comingsoon{
    margin-bottom: 40px;
    text-align: center;
    font-size: 1.6rem;
    font-weight: var(--weight-bold);

    & .fukidashi{
        padding: 0 50px;
        display: inline-block;
        position: relative;

        &::before,&::after{
            content: "";
            width: 32px;
            aspect-ratio: 1 / 1;
            position: absolute;
            bottom: 0;
            background: url(../1_img/base/deco-fukidashi_main.svg) no-repeat center / 100% auto;
        }
        &::before{
            left: 0;
        }
        &::after{
            right: 0;
            transform: scale(-1,1);
        }
    }
}

@media all and (min-width: 768px){
    .comingsoon{
        margin-bottom: 50px;
        font-size: 1.8rem;

        & .fukidashi{
            padding: 0 50px;
        }
    }
}